Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net.ssl
Class SslConfiguration

    java.lang.Object
      org.apache.logging.log4j.core.net.ssl.SslConfiguration

    @Plugin(name="Ssl",
            category="Core",
            printObject=true)
    public class SslConfiguration

extends Object

SSL Configuration

Method Summary
`static SslConfiguration` | `createSSLConfiguration(String protocol, KeyStoreConfiguration keyStoreConfig, TrustStoreConfiguration trustStoreConfig)` Creates an SslConfiguration from a KeyStoreConfiguration and a TrustStoreConfiguration.
`boolean` | `equals(SslConfiguration config)`
`SSLServerSocketFactory` | `getSslServerSocketFactory()`
`SSLSocketFactory` | `getSslSocketFactory()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSslSocketFactory

    public SSLSocketFactory getSslSocketFactory()

### getSslServerSocketFactory

    public SSLServerSocketFactory getSslServerSocketFactory()

### equals

    public boolean equals(SslConfiguration config)

### createSSLConfiguration

    @PluginFactory
    public static SslConfiguration createSSLConfiguration(@PluginAttribute(value="protocol")
                                                                        String protocol,
                                                                        @PluginElement(value="KeyStore")
                                                                        KeyStoreConfiguration keyStoreConfig,
                                                                        @PluginElement(value="TrustStore")
                                                                        TrustStoreConfiguration trustStoreConfig)

  Creates an SslConfiguration from a KeyStoreConfiguration and a TrustStoreConfiguration.

  Parameters:
    `protocol` - The protocol, see http://docs.oracle.com/javase/7/docs/technotes/guides/security/StandardNames.html#SSLContext
    `keyStoreConfig` - The KeyStoreConfiguration.
    `trustStoreConfig` - The TrustStoreConfiguration.
  Returns:
    a new SslConfiguration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.